*{
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
@font-face {
  font-family: "Amaranth-Italic"; /* Project id  */
  src: url('https://cdn.fabricschina.com.cn/statics/DPI/fonts/Amaranth-Italic.ttf') format('truetype');
}
@font-face {
  font-family: "FZJP"; /* Project id  */
  src: url('https://cdn.fabricschina.com.cn/statics/DPI/fonts/xjlFont.ttf') format('truetype');
}
@font-face {
  font-family: "pingfang"; /* Project id  */
  src: url('https://cdn.fabricschina.com.cn/statics/DPI/fonts/PingFang SC Regular.ttf') format('truetype');
}
html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  color: #333;
  font-size: 14px;
  font-family: PingFangSC-Regular, PingFang SC, Avenir, Helvetica, Arial, sans-serif;
  a{
      color: #333;
      list-style: none;
      text-decoration: none;
  }
  a:hover{
      color: #333;
  }
}
ul,li,ol{
  list-style: none;
}
i,b{
  font-style: normal;
}
img{
  width: 100%;
  height: 100%;
  font-size: 0;
}
h2,.h2{
  font-size: 36px;
  font-weight: 500;
  line-height: 50px;
}
h3,.h3{
  font-size: 20px;
  font-weight: 500;
  line-height: 28px;
}
h4,.h4{
  font-size: 16px;
  font-weight: 500;
  line-height: 22px;
}

input, button{
  width: 100%;
  height: 100%;
  background: transparent;
  border: none;
  outline: none;
}
button{
  cursor: pointer;
}
.main{
  width: 100%;
  height: 100%;
  padding-top: calc(.68rem + 1px);
  font-size: 14px;
}
.header{
  width: 100%;
  height: calc(.68rem + 1px);
  border-bottom: 1px solid #E5E5E5;
  position: fixed;
  top: 0;
  left: 0;
  padding: 0 .24rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 9;
}
.header .logo{
  width: 3.56rem;
  height: .68rem;
  background: url(https://cdn.fabricschina.com.cn/statics/keqiaozhanting/logo-red.png) no-repeat center center/100%;
  margin: 0 .8rem 0 0;
}
.head-left{
  display: flex;
}
.head-left .nav-list{
  display: flex;
  height: .68rem;
  line-height: .68rem;
  font-weight: 400;
}
.head-left .nav-item{
  padding: 0 .15rem;
  margin: 0 .1rem;
  cursor: pointer;
  color: #999;
  position: relative;
}
.head-left .nav-item.active{
  background-color: #FAFAFA;
  color: #333;
  font-weight: 500;
}

.head-left .nav-item:hover .sub-nav{
  transform: scaleY(1);
}

.sub-nav{
  width: 100%;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #fff;
  border-radius: 0 0 5px 5px;
  box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.05);
  z-index: 99;
  overflow: hidden;
  transform: scaleY(0);
}
.sub-nav .sub-nav-item{
  cursor: pointer;
  text-align: center;
  height: 40px;
  line-height: 40px;
  color: #999;
}
.sub-nav .sub-nav-item:hover{
  color: #333;
}

.head-right{
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}
.head-right .user-img{
  width: .48rem;
  height: .32rem;
  position: relative;
  padding-left: .16rem;
}
.head-right .user-img::after{
  content: " ";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  width: 1px;
  height: 16px;
  background-color: #c2c2c2;
}

.head-right .user-name{
  color: #999;
  margin-left: 8px;
  position: relative;
}
.head-right .user-name:hover .user-handle{
  display: block;
}
.head-right .user-handle{
  display: none;
  width: auto;
  position: absolute;
  top: 100%;
  right: 0;
  white-space: nowrap;
  padding: 15px;
  border-radius: 0 0 5px 5px;
  box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.05);
  z-index: 9;
  background-color: #fff;
}

.container{
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  background-color: #FAFAFB;
  overflow: hidden;
}
.container .history{
  width: 256px;
  flex-shrink: 0;
  background-color: #fff;
  display: flex;
  flex-direction: column;
}
.history .title{
  height: 76px;
  line-height: 76px;
  font-size: 20px;
  font-weight: 500;
  padding: 0 24px;
  box-shadow: 0px 1px 0px 0px #E8E8E8, inset -1px 0px 0px 0px #E8E8E8;
  flex-shrink: 0;
}
.content-box{
  flex: 1;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.content{
  width: 100%;
  overflow: auto;
}
.content .upload-btn{
  position: absolute;
  top: 20px;
  right: 20px;
  width: 114px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  cursor: pointer;
  border-radius: 20px;
  border: 1px solid rgba(40,47,54,0.15);
}
.content .con{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: .8rem 0;
}
.content .con .up-img{
  width: 6rem;
  height: 6rem;
  margin-bottom: .4rem;
  
}
.content .con .up-img .empty .title{
  font-size: .3rem;
  line-height: .42rem;
}
.content .con .up-img .empty .tips{
  font-size: .16rem;
  line-height: .22rem;
  margin: .16rem 0 .6rem;
  color: #999;
}
.content .con .up-img .empty{
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #FFFFFF;
  box-shadow: 0px 2px 28px 0px rgba(0,0,0,0.05);
  border-radius: .15rem;
}
.content .con .up-img .empty .center-upload{
  width: 5.5rem;
  height: 3.5rem;
  border-radius: .3rem;
  border: 2px dashed #C2C2C2;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.content .con .up-img .empty .center-upload img{
  width: 1rem;
  height: 1rem;
  margin-bottom: .2rem;
}
.history-list{
  flex: 1;
  padding: .2rem;
  overflow: auto;
}
.history-list .list{
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto;
  gap: .16rem;
}
.history-list .item{
  width: 1rem;
  height: 1rem;
  border-radius: .1rem;
  overflow: hidden;
  position: relative;
}
.history-list .item .img{
  width: 100%;
  height: 100%;
}
.history-list .item .img img{
  object-fit: cover;
}
.history-list .item .colors{
  width: 100%;
  height: .2rem;
  position: absolute;
  left: 0;
  bottom: 0;
  display: flex;
  z-index: 1;
}

.color-detail-popup{
  display: none;
  position: fixed;
  top: 100px;
  left: 100px;
  padding: 10px 20px;
  box-shadow: 0px 2px 28px 0px rgba(0,0,0,0.12);
  line-height: 26px;
  border-radius: 8px;
  background-color: #fff;
  z-index: 9;
}
.imgs,.dispaly-img{
  display: flex;
}
.imgs .img{
  width: 5.5rem;
  height: 5.5rem;
  object-fit: cover;
  border-radius: .15rem;
  background-color: #fff;
  overflow: hidden;
  margin: 5px;
}
.image-matting-list{
  width: 100px;
}
.dispaly-img .img{
  width: auto;
  height: auto;
}
.dispaly-img img{
  width: 5.5rem;
  height: 5.5rem;
}
.image-matting-list .img{
  width: 100px;
  height: 100px;
  border-radius: .05rem;
  cursor: pointer;
}
img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*加载*/
.loading-box{
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0,0,0,0.1);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99;
}
.loading-view{
  position: relative;
  width: 40px;
  height: 40px;
  margin: 0 auto;
  overflow: hidden;
}
/*加载2*/
.circular {
  animation: rotate 2s linear infinite;
  height: 100%;
  transform-origin: center center;
  width: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}
.path {
  stroke-dasharray: 1, 200;
  stroke-dashoffset: 0;
  animation: dash 1.5s ease-in-out infinite, color 6s ease-in-out infinite;
  stroke-linecap: round;
}
.dropdown-view:hover .dropdown{
  display: block;
}
.dropdown{
  width: auto;
  position: absolute;
  top: 100%;
  left: 0;
  color: #666;
  display: none;
}
.dropdown .dropdown-list{
  padding: 5px 0;
  background-color: #fff;
  border-radius: 8px;
  overflow: hidden;
  line-height: 20px;
}
.dropdown .item{
  min-width: 100px;
  white-space: nowrap;
  padding: 10px;
  text-align: center;
}
.dropdown .item:hover{
  background-color: #f1f1f1;
}
/* 下拉 */
@keyframes rotate {
  100% {
      transform: rotate(360deg);
  }
}
@keyframes dash {
  0% {
      stroke-dasharray: 1, 200;
      stroke-dashoffset: 0;
  }
  50% {
      stroke-dasharray: 89, 200;
      stroke-dashoffset: -35px;
  }
  100% {
      stroke-dasharray: 89, 200;
      stroke-dashoffset: -124px;
  }
}
@keyframes color {
  100%,
  0% {
      stroke: #d62d20;
  }
  40% {
      stroke: #0057e7;
  }
  66% {
      stroke: #008744;
  }
  80%,
  90% {
      stroke: #ffa700;
  }
}